### Method

# FwupdPlugin Device security_attr_new

#### Declaration [src]

    FwupdSecurityAttr*
    fu_device_security_attr_new (
      FuDevice* self,
      const gchar* appstream_id
    )

#### Description [src]

Creates a new `FwupdSecurityAttr` for this specific device.

Available since: | 1.8.4

#### Parameters

`appstream_id` | `const gchar*`
| The AppStream component ID, e.g. `com.intel.BiosGuard`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdSecurityAttr`
| A `FwupdSecurityAttr`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.